Bug 121668 - role select at GNOME login
role select at GNOME login
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-24 21:54 EDT by Yoshinobu Akimoto
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 11:04:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yoshinobu Akimoto 2004-04-24 21:54:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
In the run level 3, at the log-in root can choose the role. However 
the run lovel 5 (GNOME) seems not to have any capability to choose 
the run-level.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.At the GNOME log in
2.set "root" at login screen and the press <Enter> key
3.set password for password screen and the press <Enter> key


Actual Results:  Just loged in without role selection.

Expected Results:  I wish to choose the role stuff, sysadm and so on 
if available.

Additional info:

Or when starting the commands which require the sysadm role, pop up 
the dialog to enter the sysadm role.
Comment 1 Mark McLoughlin 2004-06-04 11:44:10 EDT
Colin, Dan, any thoughts?
Comment 2 Warren Togami 2004-09-18 23:45:09 EDT
IMHO, is it really any good reason to allow the entire desktop session
sysadm role when users can change to that role within a console if
they really need such access?
Comment 3 Colin Walters 2004-10-08 16:26:46 EDT
I think in order to make this useful, we need infrastructure in
SELinux for displaying somewhat more human-readable role identifiers
to users.  Like "Administrator Role" instead of sysadm_r, and "Normal
Role" or something instead of user_r.

Warren - we're not just talking about sysadm_r here; in SELinux the
user could have a number of different roles, like webmaster_r and
developer_r.
Comment 4 Daniel Walsh 2004-12-02 11:04:52 EST
Allowing gnome to X-Windows login to login as other roles was decided
to be not appropriate.  Admins can setup the
/etc/selinux/strict/context/users 
directory to change the default role that a user logs in as.

Note You need to log in before you can comment on or make changes to this bug.